/*# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image
#                        pour la Sant�)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
# Previous Authors : Laurent Guigues, Jean-Pierre Roux
# CreaTools website : www.creatis.insa-lyon.fr/site/fr/creatools_accueil
#
#  This software is governed by the CeCILL-B license under French law and
#  abiding by the rules of distribution of free software. You can  use,
#  modify and/ or redistribute the software under the terms of the CeCILL-B
#  license as circulated by CEA, CNRS and INRIA at the following URL
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability.
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------ */

/*=========================================================================

  Program:   wxMaracas
  Module:    $RCSfile: marAxisContours.cpp,v $
  Language:  C++
  Date:      $Date: 2012/11/15 14:15:31 $
  Version:   $Revision: 1.2 $

  Copyright: (c) 2002, 2003
  License:

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/
#include "marAxisContours.h"



// ----------------------------------------------------------------------------
void marAxisContours::addContour(marContourVO* cont) {

	if (cont->getType() == LUMEN && contours.size() > 1)
	{
		contours[LUMEN] = cont;
	} 
	else if (cont->getType() == WALL && contours.size() > 2)
	{
		contours[WALL] = cont;
	}
	else
	{
		contours.push_back(cont);
	}
	
}

// ----------------------------------------------------------------------------
void marAxisContours::replaceContour(marContourVO* cont, int index) {
	if (contours.size() > index + 1)
	{
		contours[index] = cont;
	}
	else
	{
		contours.push_back(cont);
	}
}

// ----------------------------------------------------------------------------
marContourVO* marAxisContours::getContour(int i ) {

	return contours[i];
}

// ----------------------------------------------------------------------------
int marAxisContours::getTotalPlaques() {
	
	int tam = 0;
	for (int i = 0; i < contours.size(); i++)
	{
		if (contours[i]->getType() == CALCIFICATION)
		{
			tam++;
		}
	}

	return tam;
}

// ----------------------------------------------------------------------------
int marAxisContours::getContourType(int i) {
	
	return contours[i]->getType();
}

int marAxisContours::getSize() {
	return contours.size();
}

// ----------------------------------------------------------------------------
bool marAxisContours::isReplaced(int i)
{
	return contours[i]->isReplaced();
}

